# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***
#!/bin/sh 

IN_OR_OUT=$1
KD4_HOME=$2
PROP_FILE=$3
ALL_ARGS=$*

# copy all remaining arguments (4th to the end)
KEY_VALUE_ARGS=`echo $ALL_ARGS | cut -f4- -d" "`

if [ -f "$KD4_HOME/KD4/ibmjava142/jre/bin/java" ] ; then
   JAVA_HOME=$KD4_HOME/KD4/ibmjava142/jre
else
   JAVA_HOME=$KD4_HOME/KD4/ibmjava142
fi

CLASS_PATH=$KD4_HOME/KD4/lib/kd4dpdcagent.jar
MAIN_CLASS="com.ibm.management.soa.agent.dp.DPDCConfigTool"


if [ ! -d "$JAVA_HOME" ]; then
   echo "Error locating Java home directory: $JAVA_HOME"
   exit 100
fi

if [ ! -f "$CLASS_PATH" ] ; then 
   echo "Error locating agent jarfile : $CLASS_PATH"
   exit 100
fi

# call DPDCConfigTool class

echo "Calling DPDCConfigTool to update $PROP_FILE"
cmd="$JAVA_HOME/bin/java -cp $CLASS_PATH $MAIN_CLASS $IN_OR_OUT $PROP_FILE $KEY_VALUE_ARGS"
echo $cmd
$cmd
KD4_RC=$?
echo "DPDCConfigTool return code = $KD4_RC"
exit $KD4_RC


