# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***
#!/bin/sh -xv
JARFILE=kd4dcagent.jar

DAT=`date +%y%m%d%s`

if [ "$4" = "USE_ENV_HOME" ]
then
	KD4_JBOSS_HOME=$JBOSS_HOME
else
	KD4_JBOSS_HOME=$4
fi

if [ -d "$KD4_JBOSS_HOME" ]
then
  
  SAVE_CP=$CLASSPATH
  export SAVE_CP
  ENABLE_TYPE=$1
  JBOSS_TYPE=$2
  KD4_DIR=$3
  
    if [ -d "$KD4_JBOSS_HOME/server/$JBOSS_TYPE" ]
    then
      if [ "$ENABLE_TYPE" = "-enable" ]
      then
        cp -f $KD4_DIR/KD4/lib/$JARFILE $KD4_JBOSS_HOME/server/$JBOSS_TYPE/lib
        cp -f $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-client-config.xml $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-client-config.$DAT.bk.xml
        cp -f $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-server-config.xml $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-server-config.$DAT.bk.xml
        CP_RC=$?
        if [ "$CP_RC" != "0" ]
        then
          #171 = unable to copy
          exit 171
        fi
      fi
      if [ "$ENABLE_TYPE" = "-disable" ]
      then
        cp -f $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-client-config.xml $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-client-config.$DAT.bk.xml
        cp -f $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-server-config.xml $KD4_JBOSS_HOME/server/$JBOSS_TYPE/deploy/jboss-ws4ee.sar/META-INF/axis-server-config.$DAT.bk.xml
        rm -f $KD4_JBOSS_HOME/server/$JBOSS_TYPE/lib/$JARFILE
        RM_RC=$?
        if [ "$RM_RC" != "0" ]
        then
          # 172 = unable to delete
          exit 172
        fi
      fi
       
      NEW_CP="$KD4_DIR/KD4/lib/kd4dcagent.jar:$KD4_DIR/KD4/lib/jdom.jar:$KD4_DIR/KD4/lib/crystal.jboss.install.jar:$CLASSPATH" 
      CLASSPATH=$NEW_CP
      export CLASSPATH
      java com.ibm.management.soa.agent.jboss.install.WSDMAgentService $ENABLE_TYPE $JBOSS_TYPE $KD4_JBOSS_HOME
      RC=$?
      CLASSPATH=$SAVE_CP
      export CLASSPATH
      exit $RC
    else
      echo "Can not find $KD4_JBOSS_HOME/server/$JBOSS_TYPE directory."	
      echo "Use a server configuration name that exists in this installation."
      exit 173
    fi
else
  echo "Set The JBOSS_HOME environment variable or pass it as a parameter before running the master KD4configDC script."
  exit 170
fi
